Name:           j
Version:        7.0.1
Release:        1%{?dist}
Summary:        High-level, general-purpose, high-performance programming language
License:        GPLv3+
URL:            http://www.jsoftware.com/
#Source0:        http://www.jsoftware.com/download/j%{version}_source.tar.gz
# Prepared with:
#  - git clone https://github.com/openj/core openj-core
#  - tar --exclude-vcs -cJf openj-core-version.tar.xz openj-core
Source0:        openj-core-%{version}.tar.xz

BuildRequires:  cmake
#Requires:       

%description
J is particularly strong in the mathematical, statistical, and logical analysis
of data.  It is a powerful tool in building new and better solutions to old
problems and even better at finding solutions where the problem is not already
well understood.


%prep
%setup -q -n openj-core
# Don't override system CFLAGS; work around GCC compiler bug (rh# 1261142):
sed -i -e \
  's|-fPIC -O3 -fno-strict-aliasing|-fPIC -fno-strict-aliasing -Wno-uninitialized|g' \
  -e 's|set(LIBDEST lib)|set(LIBDEST \${LIB_INSTALL_DIR})|g' \
  -e \
  's|\(add_library(j SHARED \${libj_SRCS})\)|\1\nset_target_properties(j PROPERTIES\n    VERSION %{version})|' \
  CMakeLists.txt



%build
mkdir build
cd build
%cmake ..
make %{?_smp_mflags}


%install
rm -rf $RPM_BUILD_ROOT
cd build
%make_install


%files
%doc docs/*
%{_bindir}/jconsole
%{_libdir}/libj.so*
# XXX: SOVERSION
%{_libdir}/libtsdll.so
%{_datadir}/j


%changelog
* Tue Sep 8 2015 Conrad Meyer <cemeyer@uw.edu> - 7.0.1-1
- Initial package
